package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkChannelOrderCreateRequest struct {
	/*
	   订单信息     */
	OrderInfo *domain.AlibabaWdkChannelOrderCreateOrderInfo `json:"order_info" required:"true" `
}

func (s *AlibabaWdkChannelOrderCreateRequest) SetOrderInfo(v domain.AlibabaWdkChannelOrderCreateOrderInfo) *AlibabaWdkChannelOrderCreateRequest {
	s.OrderInfo = &v
	return s
}

func (req *AlibabaWdkChannelOrderCreateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.OrderInfo != nil {
		paramMap["order_info"] = util.ConvertStruct(*req.OrderInfo)
	}
	return paramMap
}

func (req *AlibabaWdkChannelOrderCreateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
